Name: jags3
Version: 3.2.0
Release: 16.2
Summary: Just Another Gibbs Sampler
URL: http://mcmc-jags.sourceforge.net
Source0: http://mcmc-jags.sourceforge.net/JAGS-%{version}.tar.gz
License: GPLv2
Group: Productivity/Scientific/Math
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Build requirements: compilers
BuildRequires: gcc-c++

# platform-specific stuff, see http://en.opensuse.org/openSUSE:Build_Service_cross_distribution_howto
# Suse specific requirements
%if %{_vendor} == "suse"
# all still-alive dists have gcc-fortran
BuildRequires: gcc-fortran
BuildRequires:  blas, lapack, glibc-devel 
BuildRequires: -post-build-checks
# For higher SUSE versions
# libraries - this might not work for openSUSE 10.x
%if %{suse_version} >= 1100
BuildRequires: liblapack3, libblas3
%endif 
# end SUSE >= 1100


# Start ltdl conditions
%if %{suse_version} >= 1120
BuildRequires: libltdl7
%else 
%if %{suse_version} >= 1100
BuildRequires: libltdl-3
%else
BuildRequires: libtool
%endif # end of else condition to 1100
%endif # end of else condition to 1120
# end of suse condition
%else 
# applies to RHEL systems, not testing for any other systems
#%if 0%{?rhel_version} == 501	||  0%{?centos_version} == 504	
BuildRequires: gcc-gfortran, lapack-devel, blas-devel, libtool-ltdl-devel, glibc-devel
#%endif # end of RHEL 5 condition
%if 0%{?rhel_version} == 600	
# does not work yet
BuildRequires: gcc-gfortran, lapack-devel, blas-devel, libtool-ltdl-devel, glibc-devel
%endif # end of RHEL 6 condition

%endif # end of else/RHEL condition

%description
JAGS (Just Another Gibbs Sampler) is a program for the analysis of
Bayesian statistical models using Markov Chain Monte Carlo (MCMC)
simulation.

JAGS is similar to the BUGS (Bayesian Inference using Gibbs Sampling)
program developed at the MRC Biostatistics Unit, Cambridge, and uses a
dialect of the BUGS language to describe Bayesian hierarchical models.

%package devel
Summary: JAGS development libraries
Group: "Development/Languages/C and C++", "Development/Languages/Fortran"
Requires: jags3  = %{version}, glibc-devel
%if %{_vendor} == "suse"
%if %{suse_version} >= 1100
Requires: gcc-fortran, gcc-c++
%else
Requires: gcc-c++, gcc-g77
%endif
%else
Requires: gcc-c++, gcc-gfortran
%endif

%description devel

JAGS headers and libraries. Install jags2-devel if you are going to 
link a program against the JAGS library, or extend the functionality
of JAGS by developing/installing JAGS modules.

%prep 
%setup -q -n JAGS-%{version}
 
%if %{_vendor} == "suse"
 %if %{suse_version} >= 1100
   export F77=gfortran
  %else
export F77=g77
  %endif
 %else
 export F77=gfortran
%endif
%configure 

%build
make 1>/dev/null 2>/dev/null

%install
make install DESTDIR=${RPM_BUILD_ROOT} 

%files
%defattr(-, root, root)
%{_bindir}/jags
%{_libexecdir}/jags-terminal
%{_libdir}/JAGS
%{_libdir}/libjags.la
%{_libdir}/libjags.so.*
%{_libdir}/libjrmath.la
%{_libdir}/libjrmath.so.*
%{_mandir}/man1/jags.1*
%files devel
%defattr(-, root, root)
%{_libdir}/pkgconfig/jags.pc
%{_includedir}/JAGS
%{_libdir}/libjags.so
%{_libdir}/libjrmath.so

%clean
rm -rf ${RPM_BUILD_ROOT};

%post 
/sbin/ldconfig

%postun 
/sbin/ldconfig

%changelog
* Thu Feb 5 2009 Lars Vilhuber <virtualrdc@cornell.edu> 1.0.3-2
- Adapted to openSUSE build service
- Adjusted for building on SUSE systems (different Requires and BuildRequires)

* Thu Jul 17 2008 Martyn Plummer <martyn_plummer@sourceforge.net> 1.0.3-1
- Built JAGS 1.0.3

* Tue May 20 2008 Martyn Plummer <martyn_plummer@sourceforge.net> 1.0.2-3
- Modified descriptions
- Built on Fedora 9.

* Mon May 19 2008 Martyn Plummer <martyn_plummer@sourceforge.net> 1.0.2-2
- Moved libjags.so and libjrmath.so into devel package
- Added blas-devel as build requirement

* Fri May 16 2008 Martyn Plummer <martyn_plummer@sourceforge.net> 1.0.2-1
- First attempt
